pub mod client;
pub mod provider;

use std::sync::Arc;

use async_trait::async_trait;

pub trait GiteaClient {}

pub type DynGiteaClient = Arc<dyn GiteaClient + Send + Sync>;

#[async_trait]
pub trait GiteaProvider {
    async fn clone_from_qualified(repo: String) -> eyre::Result<String>;
}

pub type DynGiteaProvider = Arc<dyn GiteaProvider + Send + Sync>;
