use async_trait::async_trait;

use crate::{git::DynGitProvider, storage::DynStorageEngine};

use super::{DynGiteaClient, GiteaProvider};

pub struct DefaultGiteaProvider {
    git_provider: DynGitProvider,
    storage_engine: DynStorageEngine,
    gitea_client: DynGiteaClient,
}

impl DefaultGiteaProvider {
    pub fn new(
        git_provider: DynGitProvider,
        storage_engine: DynStorageEngine,
        gitea_client: DynGiteaClient,
    ) -> Self {
        Self {
            git_provider,
            storage_engine,
            gitea_client,
        }
    }
}

#[async_trait]
impl GiteaProvider for DefaultGiteaProvider {
    async fn clone_from_qualified(repo: String) -> eyre::Result<String> {
        todo!()
    }
}
